| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::RequestableChannelClassSpec Class Reference
Wrapper classes

The RequestableChannelClassSpec class represents a Telepathy requestable channel class. More...

`#include <TelepathyQt/RequestableChannelClassSpec>`

List of all members.

## Public Member Functions

- RequestableChannelClassSpec ()
- RequestableChannelClassSpec (const RequestableChannelClass &rcc)
- RequestableChannelClassSpec (const RequestableChannelClassSpec &other)
- ~RequestableChannelClassSpec ()
- bool isValid () const
- RequestableChannelClassSpec & operator= (const RequestableChannelClassSpec &other)
- bool operator== (const RequestableChannelClassSpec &other) const
- bool supports (const RequestableChannelClassSpec &spec) const
- QString channelType () const
- bool hasTargetHandleType () const
- HandleType targetHandleType () const
- bool hasFixedProperty (const QString &name) const
- QVariant fixedProperty (const QString &name) const
- QVariantMap fixedProperties () const
- bool allowsProperty (const QString &name) const
- QStringList allowedProperties () const
- RequestableChannelClass bareClass () const

## Static Public Member Functions

- static RequestableChannelClassSpec textChat ()
- static RequestableChannelClassSpec textChatroom ()
- static RequestableChannelClassSpec audioCall ()
- static RequestableChannelClassSpec audioCallWithVideoAllowed ()
- static RequestableChannelClassSpec videoCall ()
- static RequestableChannelClassSpec videoCallWithAudioAllowed ()
- static RequestableChannelClassSpec streamedMediaCall ()
- static RequestableChannelClassSpec streamedMediaAudioCall ()
- static RequestableChannelClassSpec streamedMediaVideoCall ()
- static RequestableChannelClassSpec streamedMediaVideoCallWithAudio ()
- static RequestableChannelClassSpec fileTransfer ()
- static RequestableChannelClassSpec conferenceTextChat ()
- static RequestableChannelClassSpec conferenceTextChatWithInvitees ()
- static RequestableChannelClassSpec conferenceTextChatroom ()
- static RequestableChannelClassSpec conferenceTextChatroomWithInvitees ()
- static RequestableChannelClassSpec conferenceStreamedMediaCall ()
- static RequestableChannelClassSpec conferenceStreamedMediaCallWithInvitees ()
- static RequestableChannelClassSpec contactSearch ()
- static RequestableChannelClassSpec contactSearchWithSpecificServer ()
- static RequestableChannelClassSpec contactSearchWithLimit ()
- static RequestableChannelClassSpec contactSearchWithSpecificServerAndLimit ()
- static RequestableChannelClassSpec dbusTube (const QString &serviceName=QString())
- static RequestableChannelClassSpec streamTube (const QString &service=QString())

## Detailed Description

The RequestableChannelClassSpec class represents a Telepathy requestable channel class.

## Constructor & Destructor Documentation

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( |  | ) |

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( | const RequestableChannelClass & | rcc | ) |

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( | const RequestableChannelClassSpec & | other | ) |

Tp::RequestableChannelClassSpec::~RequestableChannelClassSpec | ( |  | ) |

## Member Function Documentation

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::textChat | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::textChatroom | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::audioCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::audioCallWithVideoAllowed | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::videoCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::videoCallWithAudioAllowed | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaAudioCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaVideoCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaVideoCallWithAudio | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::fileTransfer | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChat | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatWithInvitees | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatroom | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatroomWithInvitees | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceStreamedMediaCall | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceStreamedMediaCallWithInvitees | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearch | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithSpecificServer | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithLimit | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithSpecificServerAndLimit | ( |  | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::dbusTube | ( | const QString & | serviceName = `QString()` | ) | `[static]`

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamTube | ( | const QString & | service = `QString()` | ) | `[static]`

bool Tp::RequestableChannelClassSpec::isValid | ( |  | ) | const`[inline]`

RequestableChannelClassSpec & Tp::RequestableChannelClassSpec::operator= | ( | const RequestableChannelClassSpec & | other | ) |

bool Tp::RequestableChannelClassSpec::operator== | ( | const RequestableChannelClassSpec & | other | ) | const

bool Tp::RequestableChannelClassSpec::supports | ( | const RequestableChannelClassSpec & | spec | ) | const

QString Tp::RequestableChannelClassSpec::channelType | ( |  | ) | const

bool Tp::RequestableChannelClassSpec::hasTargetHandleType | ( |  | ) | const

HandleType Tp::RequestableChannelClassSpec::targetHandleType | ( |  | ) | const

bool Tp::RequestableChannelClassSpec::hasFixedProperty | ( | const QString & | name | ) | const

QVariant Tp::RequestableChannelClassSpec::fixedProperty | ( | const QString & | name | ) | const

QVariantMap Tp::RequestableChannelClassSpec::fixedProperties | ( |  | ) | const

bool Tp::RequestableChannelClassSpec::allowsProperty | ( | const QString & | name | ) | const

QStringList Tp::RequestableChannelClassSpec::allowedProperties | ( |  | ) | const

RequestableChannelClass Tp::RequestableChannelClassSpec::bareClass | ( |  | ) | const